function Rx = EstimacionRxxESA(X,largo_secuencia,m_max)

for m=-m_max:m_max % Para cada m:
% Determinar el rango de valores de n donde se puede evaluar X[n+m].
n=(1+m_max):(largo_secuencia-m_max);
% Calcular el argumento de la esperanza en Rxx[m]=E{X[n+m]X[n]}
px=X(:,n+m).*X(:,n); % para todas las realizaciones juntas.
% En primer lugar, se promedian las diferentes realizaciones.
rx=mean(px,1);
Rx(1+m_max+m)=mean(rx); % por ser X[n] ESA, se promedia para diferentes n.
end

end