%% Ej 2 TP 2  -  SyS 2017

%// Autor: SP
%// Realizaciones de algunos procesos discretos. Densidad del proceso.

% % % Necesita en la misma carpeta las funciones 'plot_SR' y 'stem_SR'.

clear all; close all; clc;

%% Una realizacin de los proceso del ejercicio 2)b)

% I)
clear all; close all; clc

n=0:100;
B= 2*rand(1,length(n))-1;
X = B;

stem_SR([n(1) n(end) -3 3],'n','$X[n]$','Una realizaci\''on de $X[n] = B[n]$',20,n,X)

%%

% II)

clear all; close all; clc

n=0:100;
A = randn;
B= 2*rand(1,length(n))-1;
X = B+A;

stem_SR([n(1) n(end) -3 3],'n','$X[n]$',['Una realizaci\''on de $X[n] = B[n]+ A, \quad A= $ ' num2str(A)],20,n,X)


%% Muchas realizaciones juntas del proceso del ej. 2)b)II.

clear all; close all; clc
n=0:100;

realizaciones = 1000;

Xb2=(randn(realizaciones,1)*ones(1,length(n))+2*rand(realizaciones,length(n))-1)';

plot_SR([n(1) n(end) -5 5],'t','$X[n]$','Muchas realizaciones de $X[n] = B[n] + A $',20,n,Xb2)

%% El histograma de las realizaciones anteriores para un t_0 particular

close all;

n0 = 20;                                                        % n0 > 0 para este codigo.
Xb_n0 = Xb2(n0,:);                                              % evaluo la fila t0/dt de la matrix Xb2
M = length(Xb_n0);

[altXb,binXb] = hist(Xb_n0,15);                                 % Histograma de Xb(t0).
figure('units','normalized','outerposition',[0.1 0.1 .8 .8])    % Creo y maximizo figura.
bar(binXb,altXb/M/(binXb(2)-binXb(1)));grid on;                 % Grafico histograma normalizado. Grilla.
dx = 0.01;                                                      % Paso 
x = -5:dx:5;                                                    % Valores de x.
fA = 1/(sqrt(2*pi)).*exp(-((x).^2)/2);
fB = .5*(x<=1).*(x>=-1);
fX = conv(fA,fB,'same')*dx;                                     % Densidad de prob. Normal(0,1) * Uniforme(-1,1):
hold on, plot(x, fX,'r',x,fA,'g',x,fB,'m','LineWidth',3);       % Grafico la densidad
axis([-5 5 0 max(fB)*1.1]);                                     % Limites de ejes
set(gca, 'FontSize', 16);                                       % Tamao de letra para la leyenda y ejes.
xlabel('$x$','Interpreter','Latex');                            % Nombro el eje x.
ylabel('$f_{X}$','Interpreter','Latex');                        % Nombro el eje y.
title(['Comparacion $f_{X}(x):N(0,1)* U(-1,1)$  y el histograma de $X_{n_0 = ' num2str(n0) '}$'],'Interpreter','Latex'); % Coloco ttulo para el grfico.

legend('Histograma','f_X','f_A','f_B')





